Name:      ibus
Summary:   A next generation input framework
Version:   1.5.16
Release:   %mkrel 3
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   https://github.com/ibus/ibus/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:   ibus.macros

BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-python) >= 0.83.0
BuildRequires: pkgconfig(dconf) >= 0.7.5
BuildRequires: pkgconfig(gdk-2.0)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gio-2.0) >= 2.32.0
BuildRequires: pkgconfig(glib-2.0) >= 2.32.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.32.0
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires: pkgconfig(gthread-2.0) >= 2.32.0
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(iso-codes)
BuildRequires: pkgconfig(libnotify) >= 0.7
BuildRequires: pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires:	libappindicator3-devel
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  gtk-doc
BuildRequires:	kde4-macros
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires:	vala-devel
BuildRequires:	GConf2
BuildRequires:	dconf
BuildRequires:    cldr-emoji-annotation
BuildRequires:    unicode-emoji
BuildRequires:	wayland-devel
Requires:	%{name}-ui
Requires:	python-gobject >= 2.15
Requires:	python-dbus >= 0.83.0
Requires:	python-notify
Requires:	pyxdg
Requires:	iso-codes
Requires:	librsvg
Requires:	%{name}-gtk
Requires:	%{name}-gtk3
Requires:	dconf

%description
IBus is a next generation input framework.

%define api 1.0
%define major 5
%define libname %mklibname %name %api %major

%package -n %libname
Summary:    Shared libraries for %{name}
Group:      System/Internationalization

%description -n %libname
IBus shared libraries.

%define girname %mklibname ibus-gir %api

%package -n %girname
Summary:    GObject introspection interface library for ibus
Group:      System/Internationalization
Requires:   %{libname} = %{version}
Conflicts:  %{_lib}ibus2
Conflicts:  %{_lib}ibus1.0_0 < 1.4.0-2

%description -n %girname
GObject introspection interface library for ibus.

%package    devel
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Requires:   %{girname} = %{version}-%{release}

%description devel
IBus development package: static libraries, header files, and the like.

%package    ui-gtk3
Summary:    GTK+ 3.0 UI for IBus
Group:      System/Internationalization
Provides:   ibus-ui
Requires:   %{name} = %{version}
Recommends:   %{name}-gtk3 = %version
Conflicts:  ibus < 1.4.99.20121006-2

%description ui-gtk3
GTK+ 3.0 UI for IBus.

%package    gtk
Summary:    IBus gtk module
Group:      System/Internationalization
Requires:   ibus = %{version}
Requires(post): gtk+2.0
Requires(postun): gtk+2.0

%description gtk
IBus gtk module.

%package    gtk3
Summary:    IBus gtk3 module
Group:      System/Internationalization
Requires:   ibus = %{version}
Requires(post): gtk+3.0
Requires(postun): gtk+3.0

%description gtk3
IBus gtk module.

%prep
%setup -q

%build
%configure2_5x \
	--enable-vala=yes \
	--enable-gtk3 \
	--enable-dconf \
	--disable-gconf \
	--enable-python-library \
	--disable-dbus-python-check \
	--enable-wayland
make

%install
%make_install

# install rpm macro
mkdir -p %buildroot%{_sysconfdir}/rpm/macros.d/
install -m0644 %{SOURCE1} %buildroot%{_sysconfdir}/rpm/macros.d/%name.macros

mkdir -p %buildroot%{_sysconfdir}/bash_completion.d/
mv -f %{buildroot}%{_datadir}/bash-completion/completions/ibus.bash %buildroot%{_sysconfdir}/bash_completion.d/

find %buildroot -name '*.la' | xargs rm
rm -f %buildroot%{_sysconfdir}/xdg/autostart/ibus.desktop

%find_lang %{name}10

%files -f %{name}10.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/bash_completion.d/ibus.bash
%{_sysconfdir}/dconf/db/ibus.d/00-upstream-settings
%{_sysconfdir}/dconf/profile/ibus
%{_bindir}/*
%{_libexecdir}/ibus-dconf
%{_libexecdir}/ibus-engine-simple
%{_libexecdir}/ibus-x11
%{_libexecdir}/ibus-ui-emojier
%{_libexecdir}/ibus-wayland
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_datadir}/applications/*.desktop
%{_datadir}/ibus/*
%{_datadir}/GConf/gsettings/ibus.convert
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.gschema.xml
%{_datadir}/dbus-1/services/org.freedesktop.IBus.service
%{_iconsdir}/*/*/*/*
%{python_sitelib}/ibus
%{python_sitearch}/gi/overrides/IBus.*
%exclude %{_datadir}/ibus/component/gtkpanel.xml

%files ui-gtk3
%{_libexecdir}/ibus-ui-gtk3
%{_datadir}/ibus/component/gtkpanel.xml

%files -n %{libname}
%{_libdir}/libibus-%{api}.so.%{major}
%{_libdir}/libibus-%{api}.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/*.typelib

%files gtk
%{_libdir}/gtk-2.0/*/immodules/*.so

%files gtk3
%{_libdir}/gtk-3.0/*/immodules/*.so

%files devel
%{_includedir}/ibus-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/ibus
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi
%{_datadir}/vala/vapi/*.deps
%{_sysconfdir}/rpm/macros.d/%name.macros


%changelog
* Fri May 26 2017 yochenhsieh <yochenhsieh> 1.5.16-3.mga6
+ Revision: 1104792
- Add hard dependency for ibus-gtk3

* Thu May 25 2017 yochenhsieh <yochenhsieh> 1.5.16-2.mga6
+ Revision: 1104536
- Enable wayland support

* Wed May 17 2017 yochenhsieh <yochenhsieh> 1.5.16-1.mga6
+ Revision: 1102471
- New version 1.5.16

* Fri Aug 12 2016 yochenhsieh <yochenhsieh> 1.5.14-1.mga6
+ Revision: 1046077
- New version 1.5.14

* Sun Mar 06 2016 yochenhsieh <yochenhsieh> 1.5.13-1.mga6
+ Revision: 986611
- New version 1.5.13

* Sat Jan 23 2016 yochenhsieh <yochenhsieh> 1.5.12-1.mga6
+ Revision: 926660
- New version 1.5.12

* Tue Jul 28 2015 yochenhsieh <yochenhsieh> 1.5.11-2.mga6
+ Revision: 858537
- Add BuildRequires Qt5Gui to enable full path of engine icon in KDE5

* Tue Jul 28 2015 yochenhsieh <yochenhsieh> 1.5.11-1.mga6
+ Revision: 858484
- New version 1.5.11

* Mon Jul 06 2015 yochenhsieh <yochenhsieh> 1.5.10-3.mga6
+ Revision: 851835
- Enable appindicator support for Plasma 5.

* Mon Jun 29 2015 wally <wally> 1.5.10-2.mga6
+ Revision: 847520
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 yochenhsieh <yochenhsieh> 1.5.10-1.mga6
+ Revision: 837623
- New version 1.5.10

* Mon Apr 27 2015 tmb <tmb> 1.5.8-6.mga5
+ Revision: 820796
- Do not fail ibus-setup when en_US.UTF-8 is not installed
- Fix not to SEGV ibus-ui-gtk3 with wrong 'preload-engines' value
- Increase dbus timeout to 15 seconds

* Wed Dec 17 2014 yochenhsieh <yochenhsieh> 1.5.8-5.mga5
+ Revision: 803759
- add requires for dconf to fix ibus-setup not saving settings(mga#14508)

* Wed Oct 15 2014 umeabot <umeabot> 1.5.8-4.mga5
+ Revision: 744946
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.5.8-3.mga5
+ Revision: 724910
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.5.8-2.mga5
+ Revision: 680408
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Thu Aug 07 2014 fwang <fwang> 1.5.8-1.mga5
+ Revision: 660753
- 1.8.8

* Sun Jul 20 2014 colin <colin> 1.5.7-4.mga5
+ Revision: 654753
- Drop RPM scripts for immodules (handled by filetriggers)

* Sat May 31 2014 pterjan <pterjan> 1.5.7-3.mga5
+ Revision: 628258
- Rebuild for new Python

* Wed May 07 2014 yochenhsieh <yochenhsieh> 1.5.7-2.mga5
+ Revision: 620978
- Add requires ibus-gtk immodule.

* Tue May 06 2014 yochenhsieh <yochenhsieh> 1.5.7-1.mga5
+ Revision: 620392
- new version 1.5.7
- Alter gtk-query-immodules-2.0 command to fix bug 8731.

* Tue Feb 04 2014 fwang <fwang> 1.5.5-1.mga5
+ Revision: 581532
- new version 1.5.5

* Tue Nov 19 2013 fwang <fwang> 1.5.4-4.mga4
+ Revision: 551875
- add upstream patch to fix CVE-2013-4509

* Sat Oct 19 2013 umeabot <umeabot> 1.5.4-2.mga4
+ Revision: 535871
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.5.4-1.mga4
+ Revision: 482749
- new version 1.5.4

* Fri Jul 26 2013 fwang <fwang> 1.5.3-1.mga4
+ Revision: 458502
- drop wrong modification
- update file list
- br dconf binary
- br gconf for gsettings binary
- update br
- new version 1.5.3

* Thu May 30 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 433363
- update file list
- update file list
- fix str fmt
- new version 1.5.2

* Sun Jan 13 2013 fwang <fwang> 1.5.1-2.mga3
+ Revision: 370628
- br vala-devel
- enable vala
- try fixing build
- new version 1.5.1
- new version 1.5.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 11 2012 fwang <fwang> 1.4.99.20121109-1.mga3
+ Revision: 316914
- new version 1.4.99.20121109

* Tue Oct 16 2012 fwang <fwang> 1.4.99.20121006-5.mga3
+ Revision: 306898
- disable macro for now to wait updates on gsettings syntax

* Mon Oct 15 2012 fwang <fwang> 1.4.99.20121006-4.mga3
+ Revision: 306008
- turn the macro into glib settings

* Mon Oct 15 2012 fwang <fwang> 1.4.99.20121006-3.mga3
+ Revision: 305987
- move suggest into gtk3 panel
- add requires on main pkg

* Mon Oct 15 2012 fwang <fwang> 1.4.99.20121006-2.mga3
+ Revision: 305982
- move out xml description too
- split out gtk3 ui

* Sun Oct 07 2012 fwang <fwang> 1.4.99.20121006-1.mga3
+ Revision: 303129
- new version 1.4.99.20121006

* Wed Sep 19 2012 fwang <fwang> 1.4.99.20120917-2.mga3
+ Revision: 296118
- python-gtk2 is not required

* Wed Sep 19 2012 fwang <fwang> 1.4.99.20120917-1.mga3
+ Revision: 296113
- add more br
- br GConf2 for  gsettings-schema-convert
- new version 1.4.99.20120917
- new version 1.4.99.20120914
- new version 1.4.99.20120822

  + blino <blino>
    - switch to dconf (over gconf2)
    - package ibus-engine-simple and bash completion
    - gtk ui is now named ibus-ui-gtk3
    - major is now 5
    - explicitely enable python lib
    - buildrequire vala + tools
    - 1.4.99.20120712 (1.5 pre)
    - sync some patches from Fedora (Takao Fujiwara)

* Sun Feb 26 2012 fwang <fwang> 1.4.1-1.mga2
+ Revision: 215103
- update pkgconfig path
- new version 1.4.1

* Mon Jan 16 2012 blino <blino> 1.4.0-5.mga2
+ Revision: 196663
- run daemon through exec in the wrapper, to avoid useless shell fork
- fix detecting desktop and passing arguments and ibus-daemon wrapper

* Wed Jan 11 2012 fwang <fwang> 1.4.0-4.mga2
+ Revision: 194963
- foce  to use panel wrapper

* Sat Oct 01 2011 fwang <fwang> 1.4.0-3.mga2
+ Revision: 150653
- fix version tag

* Sun Sep 25 2011 fwang <fwang> 1.4.0-2.mga2
+ Revision: 147665
- split out gir files

* Sat Sep 24 2011 fwang <fwang> 1.4.0-1.mga2
+ Revision: 147461
- update file list
- update lan list
- update file list
- new version 1.4.0

* Fri Jul 01 2011 fwang <fwang> 1.3.9-4.mga2
+ Revision: 117185
- add wrapper for ibus-ui-kde

  + dmorgan <dmorgan>
    - Simplify %%post and %%postun

* Wed Jun 15 2011 fwang <fwang> 1.3.9-3.mga2
+ Revision: 106393
- add gtk3 immodule
- add engine registration help macro

* Thu Mar 24 2011 boklm <boklm> 1.3.9-2.mga1
+ Revision: 76155
- rebuild for bug #497

* Sat Mar 12 2011 fwang <fwang> 1.3.9-1.mga1
+ Revision: 68593
- buildroot not required
- imported package ibus

